System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.ServiceModelConfigurationElementCollection<System.ServiceModel.Configuration.ExtensionElement> System.ServiceModel.Configuration.ExtensionElement System.Collections.ICollection System.Configuration.ConfigurationCollection(typeof(System.ServiceModel.Configuration.ExtensionElement), AddItemName="add", ClearItemsName="clear", CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMap, RemoveItemName="remove") To be added.

Represents a collection of instances.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void ``

  When adding, an element is considered a duplicate only if the keys are identical but the values are different. Elements with identical keys and values are accepted silently because the elements do not compete. However, an element with an identical key but a different value cannot be added because there is no logic to determine which of the competing values should be honored.

  Adds a configuration element to the .

  The to add.
- Method
  4.0.0.0
  System.Void `` ``

  When adding, an element is considered a duplicate only if the keys are identical but the values are different. Elements with identical keys and values are accepted silently because the elements do not compete. However, an element with an identical key but a different value cannot be added because there is no logic to determine which of the competing values should be honored.

  Adds a configuration element to the , at the specified location.

  The index location at which to add . The to add.
- Method
  4.0.0.0
  System.Object `` To be added.

  Gets the element key for the specified configuration element.

  An that acts as the key for the specified configuration element.

  The to return the key for.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether an attempt to add a duplicate to the will cause an exception to be thrown.